# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    local: 'fr'

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    App\Kingdom\:
        resource: '../src/Kingdom/*/{Service,Interface,Security,Mapper}'

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
            - '../src/Tests/'
            - '../src/Kingdom/'

    # controllers are imported separately to make sure services can be injected
    # as action arguments even if you don't extend any base controller class
    App\Controller\:
        resource: '../src/Controller/'
        tags: ['controller.service_arguments']

    App\Service\OAuthService:
        arguments: [
                '%env(IDENTITY_SERVER_URI)%',
                '%env(OAUTH_AUTHORIZATION_URI)%',
                '%env(OAUTH_TOKEN_URI)%',
                '%env(OAUTH_CALLBACK)%',
                '%env(OAUTH_CLIENT_ID)%',
                '%env(OAUTH_SECRET_ID)%'
        ]

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones
